summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin King2018-03-11 23:39:14 -0500
committerKevin King2018-03-11 23:39:14 -0500
commit8e9d3a0697fdda9335144b033d3e9f8124467014 (patch)
tree2af42d88afb180564c4b8b05d37e05713d217bd5
parent348107d67e70b7a1afb758836a523bdb5d409c4e (diff)
downloadaur-8e9d3a0697fdda9335144b033d3e9f8124467014.tar.gz
Update to 2.4.0
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD10
2 files changed, 11 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3503ddb96eb..e45beb79470 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,19 @@
pkgbase = kr
pkgdesc = SSH using a key stored in Krypton
- pkgver = 2.3.1
+ pkgver = 2.4.0
pkgrel = 1
url = https://github.com/kryptco/kr
install = kr.install
arch = i686
arch = x86_64
license = custom
- makedepends = rust
- makedepends = cargo
+ makedepends = rustup
makedepends = go
+ makedepends = rsync
depends = gcc-libs-multilib
provides = kr
conflicts = kr
- source = git+https://github.com/kryptco/kr#tag=2.3.1
+ source = git+https://github.com/kryptco/kr#tag=2.4.0
md5sums = SKIP
pkgname = kr
diff --git a/PKGBUILD b/PKGBUILD
index fc0de37eb64..6d909b3ebde 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,6 @@
# Maintainer: krypt.co <aur@>
pkgname=kr
-pkgver=2.3.1
+pkgver=2.4.0
pkgrel=1
pkgdesc="SSH using a key stored in Krypton"
arch=('i686' 'x86_64')
@@ -8,7 +8,7 @@ url="https://github.com/kryptco/kr"
license=('custom')
groups=()
depends=('gcc-libs-multilib')
-makedepends=('rust' 'cargo' 'go')
+makedepends=('rustup' 'go' 'rsync')
checkdepends=()
optdepends=()
provides=('kr')
@@ -24,12 +24,16 @@ validpgpkeys=()
pkgver() {
#cd ${srcdir}/src/github.com/kryptco/kr
#git describe --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
- echo "2.3.1"
+ echo "2.4.0"
}
prepare() {
+ cd ${srcdir}/kr && git submodule update --init --recursive && cd -
# ensure a toolchain is selected if rustup was used to install rust
(which rustup 2>/dev/null && (rustup which cargo || rustup default stable)) || true
+ rustup target add wasm32-unknown-emscripten
+ cargo install cargo-web 2>/dev/null || true
+ cargo web --version
mkdir -p "${srcdir}/src/github.com/kryptco/"
rm -rf "${srcdir}/src/github.com/kryptco/kr"
mv "${srcdir}/kr" "${srcdir}/src/github.com/kryptco/kr"